{#
vim: sts=2 ts=2 sw=2 et ai ft=jinja
#}

{# Define global formula attributes #}
{% if formula_path is not defined %}
{% set formula_path = salt["file.dirname"](salt["slsutil.findup"](sls, "defaults.yaml")) %}
{% endif %}

{# Set the formula built-in variables #}
{% set formula = {
  "name": formula_path.split("/") | last,
  "path": formula_path,
  "namespace": formula_path | replace("/", "."),
  "url": "salt://" ~ formula_path ~ "/",
} %}
